Bug 267293 - NullPointerException at org.netbeans.modules.nbform.FormEditorSupport.loadFromStreamToKit
NullPointerException at org.netbeans.modules.nbform.FormEditorSupport.loadFro...
Status: RESOLVED FIXED
Product: guibuilder
Classification: Unclassified
Component: Code
8.2
All All
: P2 (vote)
: Dev
Assigned To: issues@guibuilder
issues@guibuilder
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-25 12:58 UTC by mclaborn
Modified: 2017-06-03 03:11 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (855 bytes, text/plain)
2016-07-25 12:58 UTC, mclaborn
Details
stacktrace (855 bytes, text/plain)
2016-11-30 10:15 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mclaborn 2016-07-25 12:58:26 UTC
Build: NetBeans IDE Dev (Build 201607210002)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.102-b14, Java(TM) SE Runtime Environment, 1.8.0_102-b14
OS: Linux

User Comments:
mclaborn: Closing files




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.nbform.FormEditorSupport.loadFromStreamToKit(FormEditorSupport.java:1485)
   at org.openide.text.DocumentOpenClose$DocumentLoad.atomicLockedRun(DocumentOpenClose.java:764)
   at org.openide.text.DocumentOpenClose$DocumentLoad.run(DocumentOpenClose.java:615)
   at org.netbeans.editor.GuardedDocument.runAtomic(GuardedDocument.java:323)
   at org.openide.text.NbDocument.runAtomic(NbDocument.java:436)
   at org.openide.text.DocumentOpenClose$DocumentLoad.run(DocumentOpenClose.java:655)
Comment 1 mclaborn 2016-07-25 12:58:30 UTC
Created attachment 161420 [details]
stacktrace
Comment 2 Exceptions Reporter 2016-11-16 16:20:25 UTC
This bug already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=225407
Comment 3 Exceptions Reporter 2016-11-30 10:15:06 UTC
Created attachment 163096 [details]
stacktrace

It's happen on startup Netbeans IDE.
Comment 4 Exceptions Reporter 2017-05-25 04:52:42 UTC
This bug already has 20 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=225407
Comment 5 Tomas Pavek 2017-06-01 16:01:14 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/379b9a534531
Comment 6 Quality Engineering 2017-06-03 03:11:55 UTC
Integrated into 'main-silver', will be available in build *201706030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/379b9a534531
User: Tomas Pavek <tpavek@netbeans.org>
Log: #267293: avoiding NPE on guardedEditor field in case the editor is closed while being loaded (the two threads are not synchronized)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo